<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<!-- 2019-02-04 Mon 23:21 -->
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>IOF Workshops 2019 Tutorial: Ontology patterns in practice</title>
<meta name="generator" content="Org mode" />
<meta name="author" content="Martin G. Skjæveland" />
<link rel="stylesheet" type="text/css" href="https://www.ottr.xyz/inc/style.css" />
<link rel="stylesheet" type="text/css" href="https://www.ottr.xyz/inc/spec.css" />
<script type="application/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="application/javascript" src="https://www.ottr.xyz/inc/toc.js"></script>
</head>
<body>
<div id="content">
<header>
<h1 class="title">IOF Workshops 2019 Tutorial: Ontology patterns in practice</h1>
</header><div id="left">
<p>
  <a href="#top">top</a>
  <!--<br/>
  examples:
  <span class="button" onclick="$('.examplebox').show()">show</span>
  /
  <span class="button" onclick="$('.examplebox').hide()">hide</span>
  -->
</p>
  <h4>Table of Contents</h4>
  <div id="toc"></div>
</div>

<div id="right">
  <a name="top"></a>
  <h1 class="title">IOF Workshops 2019 Tutorial: Ontology patterns in practice</h1>
  <img id="logo" alt="OTTR" src="../../logo/tutOTTR.png"/>
  <p><b>
   Tutorial at the <a href="https://www.dnvgl.com/events/international-industrial-ontologies-workshops-134292">International Industrial Ontologies Workshops 2019</a>.
  </b></p>

  <p class="notice"> The concepts used in this tutorial are still valid,
      however, tools and formats have been updated. Please
      see <a href="http://ottr.xyz">ottr.xyz</a>.
  </p>


<div id="toc-content">

<div id="outline-container-org466d14c" class="outline-2">
<h2 id="org466d14c"><span class="section-number-2">1</span> Motivation</h2>
<div class="outline-text-2" id="text-1">
<p>
A major bottleneck for the successful adoption of ontology-based information systems in industry is the construction and maintenance of large-scale ontologies. This tutorial will introduce Reasonable Ontology Templates (OTTR), a framework for ontology construction and maintenance based on efficient representation and instantiation of modelling patterns.
</p>

<p>
The participants will learn how such ontology abstraction mechanisms can be beneficial for building, interacting with, and maintaining large-scale ontologies.  The tutorial will consist of presentations, plenary and individual exercises using open source tooling. Participants that wish to take part in the individual exercises should bring a laptop with Java 8 installed.
</p>
</div>
</div>

<div id="outline-container-orgdf49230" class="outline-2">
<h2 id="orgdf49230"><span class="section-number-2">2</span> Resources</h2>
<div class="outline-text-2" id="text-2">
<p>
Download these links to do the exercises:
</p>

<ul class="org-ul">
<li>Lutra, latest release:
<a href="https://gitlab.com/ottr/lutra/lutra/builds/artifacts/v0.5.0-alpha-4/raw/lutra.jar?job=release">https://gitlab.com/ottr/lutra/lutra/builds/artifacts/v0.5.0-alpha-4/raw/lutra.jar?job=release</a></li>

<li>Exercise material: <a href="https://gitlab.com/ottr/pub/iof2019-demo/-/archive/master/iof2019-demo-master.zip">https://gitlab.com/ottr/pub/iof2019-demo/-/archive/master/iof2019-demo-master.zip</a></li>
</ul>
</div>
</div>

<div id="outline-container-org9ce4752" class="outline-2">
<h2 id="org9ce4752"><span class="section-number-2">3</span> Presenters</h2>
<div class="outline-text-2" id="text-3">
<p>
<a href="http://folk.uio.no/martige">Martin G. Skjæveland</a> is a postdoctoral researcher at the University
of Oslo , and the lead developer of Reasonable Ontology
Templates.
</p>

<p>
<a href="https://www.mn.uio.no/ifi/personer/vit/leifhka/">Leif Harald Karlsen</a> recently finished his PhD and is currently
working as a head engineer at the Sirius Center for Scalable Data
Access at the University of Oslo, working full time on the
implementation of OTTR.
</p>

<p>
<a href="https://www.mn.uio.no/ifi/english/people/aca/danielup/">Daniel P. Lupp</a> is a PhD researcher at the University of Oslo 
and is set to defend his thesis in the coming months.
</p>
</div>
</div>
</div>
</body>
</html>
